
package armadilloUI.runcheck;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface for checking if armadillo is running
 * @author Mark Tolley
 */
public interface Checker extends Remote
{
    /**
     * checks whether another instance of armadillo is running
     * @return
     * @throws RemoteException
     */
    int isRunning() throws RemoteException;
}
