/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/
package armadilloUI;

class BPM_BIN
{
    public int counter = 0;
    public double BPMequiv = 0;
    public int consecutive = 0;
    public int BinNumber = 0;
    public int discovered = 0;
    
    public void inc(int i, int chain, int rate, int num_samples)
    {
        BinNumber = i;
        counter++;
        BPMequiv = (((double)rate / (double)num_samples) / (double)i) *60;
        consecutive = consecutive + chain;
    }
}
