#include <gtk/gtk.h>

int main( int   argc,
          char *argv[] )
{
    /* This is called in all GTK applications. Arguments are parsed
     * from the command line and are returned to the application. */
    gtk_init (&argc, &argv);
    
    GtkWidget* dialog;

    dialog = gtk_message_dialog_new (NULL,
            GTK_DIALOG_DESTROY_WITH_PARENT,
            GTK_MESSAGE_ERROR,
            GTK_BUTTONS_CLOSE,
            "Error, Java cannot be found on your system.\n\n"
                    "Please install the latest Java Runtime Environment.\n\n"
                    "See http://java.com for more informaton.");
    gtk_window_set_title((GtkWindow *)dialog, "Armadillo Setup");
    
    gtk_dialog_run (GTK_DIALOG (dialog));
    gtk_widget_destroy (dialog);

 
    /* All GTK applications must have a gtk_main(). Control ends here
     * and waits for an event to occur (like a key press or
     * mouse event). */
    //gtk_main ();
    
    return 0;
}
